## org.eclipse.emf.edit.ui.provider
Class AdapterFactoryLabelProvider.FontProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
          org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontProvider

All Implemented Interfaces:
  INotifyChangedListener, IBaseLabelProvider, IColorProvider, IFontProvider, ILabelProvider, ITableColorProvider, ITableFontProvider, ITableLabelProvider

Enclosing class:
  AdapterFactoryLabelProvider

    public static class AdapterFactoryLabelProvider.FontProvider

extends AdapterFactoryLabelProvider
implements IColorProvider, IFontProvider, ITableColorProvider, ITableFontProvider

An extended version of the adapter factory label provider that also provides for fonts.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`AdapterFactoryLabelProvider.ColorProvider, AdapterFactoryLabelProvider.FontAndColorProvider, AdapterFactoryLabelProvider.FontProvider`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`adapterFactory, defaultBackground, defaultFont, defaultForeground, labelProviderListeners`

Constructor Summary
`AdapterFactoryLabelProvider.FontProvider(AdapterFactory adapterFactory, Font defaultFont)` Construct an instance that wraps the given factory and specifies the given default font.
`AdapterFactoryLabelProvider.FontProvider(AdapterFactory adapterFactory, Viewer viewer)` Construct an instance that wraps the given factory and uses the font of the viewer's control.

Method Summary

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`addListener, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getBackground, getColorFromObject, getColumnImage, getColumnText, getDefaultBackground, getDefaultFont, getDefaultForeground, getDefaultImage, getFont, getFont, getFontFromObject, getForeground, getForeground, getImage, getImageFromObject, getText, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IColorProvider
`getBackground, getForeground`

Methods inherited from interface org.eclipse.jface.viewers.IFontProvider
`getFont`

Methods inherited from interface org.eclipse.jface.viewers.ITableColorProvider
`getBackground, getForeground`

Methods inherited from interface org.eclipse.jface.viewers.ITableFontProvider
`getFont`

Constructor Detail

### AdapterFactoryLabelProvider.FontProvider

    public AdapterFactoryLabelProvider.FontProvider(AdapterFactory adapterFactory,
                                                    Font defaultFont)

  Construct an instance that wraps the given factory and specifies the given default font.

  Parameters:
    `adapterFactory` - an adapter factory that yield adapters that implement the various item label provider interfaces.
    `defaultFont` - the font that will be used when no font is specified.

### AdapterFactoryLabelProvider.FontProvider

    public AdapterFactoryLabelProvider.FontProvider(AdapterFactory adapterFactory,
                                                    Viewer viewer)

  Construct an instance that wraps the given factory and uses the font of the viewer's control.

  Parameters:
    `adapterFactory` - an adapter factory that yield adapters that implement the various item label provider interfaces.
    `viewer` - the viewer for which the control's font should be used.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.